package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttWorkGroupDayOffForm extends HrmBaseForm {
  String workGroupCode;
  
  String workGroupDescription;
  
  String siteCode;
  
  String siteDescription;
  
  String disabsiteCode;
  
  String disabsiteDescription;
  
  String disabworkGroupCode;
  
  String disabworkGroupDescription;
  
  private String[] txtStartWeekDate;
  
  private String butStartWeekDate;
  
  private String disabbutStartWeekDate;
  
  private String[] txtEndWeekDate;
  
  private String butEndWeekDate;
  
  private String disabbutEndWeekDate;
  
  private String[] txtFirstRestDay;
  
  private String[] txtSecondRestDay;
  
  private String[] txtHalfDay1;
  
  private String[] txtHalfDay2;
  
  private String[] txtRestWeek1;
  
  private String[] txtRestWeekDay1;
  
  private String[] txtRestWeek2;
  
  private String[] txtRestWeekDay2;
  
  private ArrayList arrAttWrkGrpDO = new ArrayList();
  
  private String workGroupId;
  
  private String siteId;
  
  private String butWrkGrpCode;
  
  private String disabbutWrkGrpCode;
  
  private String butSiteCode;
  
  private String disabbutSiteCode;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getWorkGroupCode() {
    return this.workGroupCode;
  }
  
  public void setWorkGroupCode(String newWorkGroupCode) {
    this.workGroupCode = newWorkGroupCode;
  }
  
  public String getWorkGroupDescription() {
    return this.workGroupDescription;
  }
  
  public void setWorkGroupDescription(String newWorkGroupDescription) {
    this.workGroupDescription = newWorkGroupDescription;
  }
  
  public String getSiteCode() {
    return this.siteCode;
  }
  
  public void setSiteCode(String newSiteCode) {
    this.siteCode = newSiteCode;
  }
  
  public String getSiteDescription() {
    return this.siteDescription;
  }
  
  public void setSiteDescription(String newSiteDescription) {
    this.siteDescription = newSiteDescription;
  }
  
  public String getDisabsiteCode() {
    return this.disabsiteCode;
  }
  
  public void setDisabsiteCode(String newDisabsiteCode) {
    this.disabsiteCode = newDisabsiteCode;
  }
  
  public String getDisabsiteDescription() {
    return this.disabsiteDescription;
  }
  
  public void setDisabsiteDescription(String newDisabsiteDescription) {
    this.disabsiteDescription = newDisabsiteDescription;
  }
  
  public String getDisabworkGroupCode() {
    return this.disabworkGroupCode;
  }
  
  public void setDisabworkGroupCode(String newDisabworkGroupCode) {
    this.disabworkGroupCode = newDisabworkGroupCode;
  }
  
  public String getDisabworkGroupDescription() {
    return this.disabworkGroupDescription;
  }
  
  public void setDisabworkGroupDescription(String newDisabworkGroupDescription) {
    this.disabworkGroupDescription = newDisabworkGroupDescription;
  }
  
  public String[] getTxtStartWeekDate() {
    return this.txtStartWeekDate;
  }
  
  public void setTxtStartWeekDate(String[] newTxtStartWeekDate) {
    this.txtStartWeekDate = newTxtStartWeekDate;
  }
  
  public String getButStartWeekDate() {
    return this.butStartWeekDate;
  }
  
  public void setButStartWeekDate(String newButStartWeekDate) {
    this.butStartWeekDate = newButStartWeekDate;
  }
  
  public String getDisabbutStartWeekDate() {
    return this.disabbutStartWeekDate;
  }
  
  public void setDisabbutStartWeekDate(String newDisabbutStartWeekDate) {
    this.disabbutStartWeekDate = newDisabbutStartWeekDate;
  }
  
  public String[] getTxtEndWeekDate() {
    return this.txtEndWeekDate;
  }
  
  public void setTxtEndWeekDate(String[] newTxtEndWeekDate) {
    this.txtEndWeekDate = newTxtEndWeekDate;
  }
  
  public String getButEndWeekDate() {
    return this.butEndWeekDate;
  }
  
  public void setButEndWeekDate(String newButEndWeekDate) {
    this.butEndWeekDate = newButEndWeekDate;
  }
  
  public String getDisabbutEndWeekDate() {
    return this.disabbutEndWeekDate;
  }
  
  public void setDisabbutEndWeekDate(String newDisabbutEndWeekDate) {
    this.disabbutEndWeekDate = newDisabbutEndWeekDate;
  }
  
  public String[] getTxtFirstRestDay() {
    return this.txtFirstRestDay;
  }
  
  public void setTxtFirstRestDay(String[] newTxtFirstRestDay) {
    this.txtFirstRestDay = newTxtFirstRestDay;
  }
  
  public String[] getTxtSecondRestDay() {
    return this.txtSecondRestDay;
  }
  
  public void setTxtSecondRestDay(String[] newTxtSecondRestDay) {
    this.txtSecondRestDay = newTxtSecondRestDay;
  }
  
  public String[] getTxtHalfDay1() {
    return this.txtHalfDay1;
  }
  
  public void setTxtHalfDay1(String[] newTxtHalfDay1) {
    this.txtHalfDay1 = newTxtHalfDay1;
  }
  
  public String[] getTxtHalfDay2() {
    return this.txtHalfDay2;
  }
  
  public void setTxtHalfDay2(String[] newTxtHalfDay2) {
    this.txtHalfDay2 = newTxtHalfDay2;
  }
  
  public String[] getTxtRestWeek1() {
    return this.txtRestWeek1;
  }
  
  public void setTxtRestWeek1(String[] newTxtRestWeek1) {
    this.txtRestWeek1 = newTxtRestWeek1;
  }
  
  public String[] getTxtRestWeekDay1() {
    return this.txtRestWeekDay1;
  }
  
  public void setTxtRestWeekDay1(String[] newTxtRestWeekDay1) {
    this.txtRestWeekDay1 = newTxtRestWeekDay1;
  }
  
  public String[] getTxtRestWeek2() {
    return this.txtRestWeek2;
  }
  
  public void setTxtRestWeek2(String[] newTxtRestWeek2) {
    this.txtRestWeek2 = newTxtRestWeek2;
  }
  
  public String[] getTxtRestWeekDay2() {
    return this.txtRestWeekDay2;
  }
  
  public void setTxtRestWeekDay2(String[] newTxtRestWeekDay2) {
    this.txtRestWeekDay2 = newTxtRestWeekDay2;
  }
  
  public ArrayList getArrAttWrkGrpDO() {
    return this.arrAttWrkGrpDO;
  }
  
  public void setArrAttWrkGrpDO(ArrayList newArrAttWrkGrpDO) {
    this.arrAttWrkGrpDO = newArrAttWrkGrpDO;
  }
  
  public String getWorkGroupId() {
    return this.workGroupId;
  }
  
  public void setWorkGroupId(String newWorkGroupId) {
    this.workGroupId = newWorkGroupId;
  }
  
  public String getSiteId() {
    return this.siteId;
  }
  
  public void setSiteId(String newSiteId) {
    this.siteId = newSiteId;
  }
  
  public String getButWrkGrpCode() {
    return this.butWrkGrpCode;
  }
  
  public void setButWrkGrpCode(String newButWrkGrpCode) {
    this.butWrkGrpCode = newButWrkGrpCode;
  }
  
  public String getDisabbutWrkGrpCode() {
    return this.disabbutWrkGrpCode;
  }
  
  public void setDisabbutWrkGrpCode(String newDisabbutWrkGrpCode) {
    this.disabbutWrkGrpCode = newDisabbutWrkGrpCode;
  }
  
  public String getButSiteCode() {
    return this.butSiteCode;
  }
  
  public void setButSiteCode(String newButSiteCode) {
    this.butSiteCode = newButSiteCode;
  }
  
  public String getDisabbutSiteCode() {
    return this.disabbutSiteCode;
  }
  
  public void setDisabbutSiteCode(String newDisabbutSiteCode) {
    this.disabbutSiteCode = newDisabbutSiteCode;
  }
}
